TcpSocketKey (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.tcp.TcpSocketKey class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class TcpSocketKey

    java.lang.Object
      org.mule.transport.tcp.TcpSocketKey

    public class TcpSocketKey

extends Object

This is used to adapt an endpoint so that it can be used as a key for sockets. It must meet two requirements: (1) implement hash and equals in a way that reflects socket identity (ie using address and port); (2) allow access to the endpoint for use in the socket factory. For simplicity we also expose the connector, address and port directly.

Constructor Summary
`TcpSocketKey(ImmutableEndpoint endpoint)`

Method Summary
`boolean` | `equals(Object obj)`
`TcpConnector` | `getConnector()`
`ImmutableEndpoint` | `getEndpoint()`
`InetAddress` | `getInetAddress()`
`int` | `getPort()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TcpSocketKey

    public TcpSocketKey(ImmutableEndpoint endpoint)

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getEndpoint

    public ImmutableEndpoint getEndpoint()

### getConnector

    public TcpConnector getConnector()

### getInetAddress

    public InetAddress getInetAddress()

### getPort

    public int getPort()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.